﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CellMergingTest.Models;

namespace CellMergingTest.Controllers
{
    public class HomeController : Controller
    {
    #region Actions for the View with MVC Helper
        public ActionResult UsingTheHelper()
        {
            NorthwindEntities nwEFmodel = new NorthwindEntities();
            return View(nwEFmodel.Customers);
        }
        
        public ActionResult HierarchicalHelper()
        {
            NorthwindEntities nwEFmodel = new NorthwindEntities();
            return View(nwEFmodel.Customers.Include("Orders"));
        }
    #endregion //Actions for the View with MVC Helper

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Hierarchical()
        {
            return View();
        }

        public JsonResult Customers()
        {
            NorthwindEntities nw = new NorthwindEntities();
            return Json(nw.Customers, JsonRequestBehavior.AllowGet);
        }
    }
}
